Install Eclipse tools for OpenRTM-aist 1.1

eclipse_logo.png
RTCBuilder and RTSystemEditor are development tools that support the development of RT Components and RT Systems. They are plug-ins for the Eclipse integrated development environment. Therefore, it is necessary to install Eclipse and Java to use RTCBuilder and RTSystemEditor.

We prepared an installation package for UNIX and Windows here. We prepared packages for UNIX and Windows including RTSystemEditor and RTCBuilder, all containing (Eclipse 4.4.2 + Japaneseization + RTSystemEditor + GEF + EMF + XSD + RTCBuilder). It is very easy to install, so please use those who would like to try to move them.

Java Development Kit 7 (JDK) is required, please install in advance. Eclipse archive (package file in compressed state) has over 100 MB. After downloading, please unpack the archive to the directory you want to install. There is no installer in Eclipse in particular, you can just use the archive just expand it.

latest Releases

For Begginers

Windows msi(installer) package (only trying samples)

Development environment is required for RT-Component development. See download page for details.

Number of Projects

Choreonoid

Motion editor/Dynamics simulator

OpenHRP3

Dynamics simulator

OpenRTP

Integrated Development Platform

AIST RTC collection

RT-Components collection by AIST

TORK

Tokyo Opensource Robotics Association

DAQ-Middleware

Middleware for DAQ (Data Aquisition) by KEK